# makernote.hpp File Reference

Contains the Exif MakerNote interface, IFD MakerNote and a MakerNote factory. More...

`#include "types.hpp"`
`#include "ifd.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <utility>`
`#include <vector>`
`#include <map>`
`#include <memory>`

Include dependency graph for makernote.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::MakerNote
| Exif makernote interface. More...
class | Exiv2::IfdMakerNote
| Interface for MakerNotes in IFD format. See MakerNote. More...
class | Exiv2::MakerNoteFactory
| Factory for MakerNote objects. More...
class | Exiv2::MakerNoteFactory::Init
| Class Init is used to execute initialisation and termination code exactly once, at the begin and end of the program. More...

## Typedefs

typedef MakerNote::AutoPtr(* | Exiv2::CreateFct )(bool, const byte *, long, ByteOrder, long)
| Type for a pointer to a function creating a makernote.

## Detailed Description

Contains the Exif MakerNote interface, IFD MakerNote and a MakerNote factory.

Version:
  Rev
    669

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  18-Feb-04, ahu: created